GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/progspace-and-thread.c File Reference
`#include "defs.h"`
`#include "progspace-and-thread.h"`

Go to the source code of this file.

## Functions
void | switch_to_program_space_and_thread (program_space *pspace)

## Function Documentation

## ◆ switch_to_program_space_and_thread()

void switch_to_program_space_and_thread | ( | program_space * | pspace | ) |

Definition at line 24 of file progspace-and-thread.c.

References any_live_thread_of_process(), find_inferior_for_program_space(), null_ptid, inf::pid, thread_info::ptid, set_current_program_space(), and switch_to_thread().

Referenced by bp_loc_is_permanent(), download_tracepoint_locations(), insert_breakpoint_locations(), remove_breakpoint(), resolve_sal_pc(), skip_prologue_sal(), update_breakpoint_locations(), and update_inserted_breakpoint_locations().